#!/usr/bin/perl
BEGIN{
#LIBPATH is where VBS.pl is located
 $LIBPATH="../Lib";
#*********VERIFY THE ABOVE VALUES************
 unshift @INC, $LIBPATH;
}
#    Copyright (C) 1996 - Brad Daugherty (1/7/97) 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#    The full license can be found at: 
#	http://www.pobox.com/~bsd/vbs/license.html
#

$lname="Virtual Bulletin System";
$sname="VBS";
$version="v5.0";

if ($#ARGV == -1){
 print "What is the name of the board you want to build? (????.defs) =>";
 chomp($board=<STDIN>);
}
else{$board=$ARGV[0];}

$board=~ s/\.defs$//; #Remove the ".defs" from boardname

require "$board.defs";
require "VBS.pl";
require "BUILDFILES.pl";

#Start the board and copy all of the files to their locations
 if(-d $DISKNEWSPATH){
  print<<END;
A directory already exists at:
$DISKNEWSPATH
and continuing will delete everything that is already there.
END
  print "Should I continue? (y/n) =>";
  chomp($input=<STDIN>);
  if(!($input=~/^Y/i)){
   die "Not overwriting, a directory already exists.\n";
  }
  else{
   print "Continue with \"rm -r $DISKNEWSPATH/*\" (y/n) =>";
   chomp($temp=<STDIN>);
   if($temp=~/^Y/i){
    system "rm", "$DISKNEWSPATH/$INDEXFILE";
    print "Removed $DISKNEWSPATH/$INDEXFILE\n";
    system "rm -r $DISKNEWSPATH/*";
    print "Removed $DISKNEWSPATH/*\n";
    system "rmdir $DISKNEWSPATH";
    print "Removed $DISKNEWSPATH\n";
   }
   else{die("Not removing the files located at $DISKNEWSPATH\n");}
  }
 }
#If the directory already exists then delete its contents
#else make the directory
 system "mkdir", "$DISKNEWSPATH";
 chmod 0775, "$DISKNEWSPATH";
 chown $uid, $gid, "$DISKNEWSPATH";
 &BuildIndex1();
 &BuildIndex2();
 &BuildMarquee();
 if($ENABLECHAT){&BuildChatwin();}
 &BuildCredits();
 &BuildInfo();
 &BuildBlank();
#Create the top level header files
 &MakeChild(0,0);
 system "cp", "../Etc/help.html", "$DISKNEWSPATH";
 system "cp", "../Etc/AddHelp.html", "$DISKNEWSPATH";
 system "cp", "../Etc/vbs.gif", "$DISKNEWSPATH";
 system "cp", "$HACKERLOG", "$HACKERLOG.old";
 system "cp", "$LOGFILE", "$LOGFILE.old";
 system "cp", "$PASSWORDFILE", "$PASSWORDFILE.old";
 system "rm", "$HACKERLOG", "$LOGFILE", "$PASSWORDFILE";
 system "touch", "$HACKERLOG", "$LOGFILE", "$PASSWORDFILE";
 chmod 0660, "$DISKNEWSPATH/*", "$DISKNEWSPATH/$INDEXFILE";
 chmod 0660, $HACKERLOG, $LOGFILE, $PASSWORDFILE;
 chown $uid, $gid, "$DISKNEWSPATH/*", "$DISKNEWSPATH/$INDEXFILE";
 chown $uid, $gid, $HACKERLOG, $LOGFILE, $PASSWORDFILE;
 print "If some errors occurred that is okay the first time.\n";
 print "VBS files have been created.\n\n";
 print "Password file = $PASSWORDFILE\n",
	"Hacker log = $HACKERLOG\n",
	"Log file = $LOGFILE\n",
	"Index File = $DISKNEWSPATH/$INDEXFILE\n",
	"Etc.\n\n";
 exit(1);
