#!/usr/bin/perl -T
BEGIN{
#LIBPATH is where VBS.pl is located
 $LIBPATH="../Lib";
 unshift(@INC,$LIBPATH);
}
#    Copyright (C) 1996 - Brad Daugherty (1/7/97)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#    The full license can be found at: 
#	http://www.pobox.com/~bsd/vbs/license.html
#

use CGI;
$query = new CGI;
$boardname=$query->param(boardname);
require "VBS.pl";
$boardname=~/^(\w+)$/;
$boardname=$1;
if(!$boardname || !-e "$LIBPATH/$boardname.defs"){
 require "minimum.defs";
 &GetOut();
 die "The boardname is illegal or the definitions file doesn't exists: $!.";
}
else{
 require "$boardname.defs";
}

###############Start  Here#####################
###############################################
#Clean the variables.
&initial();

if ($todo eq "ADD"){
 if ( (!$head && $arhead) ||
	(!$subhead && $arsubhead)){
  (*numlist,*titlelist,*listarray)=&GetListing("full");
  print $query->header(-target=>'arwindow');
  if($arhead){
   print $query->start_html(-title=>'Add A New Heading',
		-onLoad=>"self.focus()"),
	"\n",
	$query->start_form(-name=>'arheads',
		-method=>"$METHOD",
		-action=>"$HSCRIPT"),
	"\n",
	$query->hidden(-name=>'todotype', -value=>'HEAD'),
	"\n";
  }
  elsif($arsubhead){
   print $query->start_html(-title=>'Add A New Subheading',
		-onLoad=>'self.focus()'),
	"\n",
	$query->start_form(-name=>'arheads',
		-method=>"$METHOD",
		-action=>"$SSCRIPT"),
	"\n",
	$query->hidden(-name=>'todotype', -value=>'SUBHEAD'),
	"\n";
  }
  print	$query->hidden(-name=>'grandparent', -value=>"$grandparent"),
	"\n",
	$query->hidden(-name=>'parent', -value=>"$parent"),
	"\n",
	$query->hidden(-name=>'boardname', -value=>"$boardname"),
	"\n";
  if( ($HAREQADM && $arhead) ||
	($SAREQADM && $arsubhead) ){
   print "<B>*This action requires administrative access.</B><P>\n";
  }
  if($arhead){
   print "<B>Enter New Heading:</B>",
	$query->textfield(-name=>'head',-size=>'40',
		-maxlength=>'40'),
	"<BR>\n",
	"Your name & password allow you to remove this heading later.<BR>\n";
  }
  elsif($arsubhead){
   print "<B>Enter New Subheading:</B>",
	$query->textfield(-name=>'subhead',-size=>'40',
		-maxlength=>'40'),
	"<BR>\n",
	"Your name & password allow you to remove this subheading later.<BR>\n";
  }
  print "<B>Enter Name:</B> \n",
	$query->textfield(-name=>'username',-size=>'30',
		-maxlength=>'30'),
	"<BR>\n",
	"<B>Enter Password:</B> \n",
	$query->password_field(-name=>'password',-size=>'15'
		-maxlength=>'15'),
	"<BR>\n",
	"<B>Place It After:</B> \n",
	$query->popup_menu(-name=>'aftnumber',-values=>\@numlist,
		-labels=>\%listarray),
	"<BR>\n",
	$query->submit(-name=>'todo',-value=>'ADD'),
	"\n",
	$query->button(-name=>'cancel',-value=>'CANCEL',
		-onClick=>'self.close()'),
	"<BR>\n";
  &Register();
  print $query->end_form,
	"\n",
	$query->end_html;
  exit;
 }
 else{
#If require admin access to add a heading
  if( ( ($HAREQADM && $arhead) ||
	($SAREQADM && $arsubhead) ) &&
	$password ne $MASTERPASSWORD){
   &RequiresAdm();
   exit;
  }
#If head is defined check for duplicates
  (*numlist,*titlelist,*listarray)=&GetListing("full");
  if($arhead){$tempvar="$head";}
  elsif($arsubhead){$tempvar="$subhead";}
  if(&SearchList($tempvar,@titlelist)){
   &AlreadyExists($tempvar);
   exit;
  }
  else{ #Add the (sub)heading
   $number=&GetLastNumber();
   if( &Add($number) ){
    if($arhead){&MakeChild(0,$number);}
    elsif($arsubhead){
     &MakeChild($parent,$number);
     &PMCount('+',1);
    }
    if($password ne $MASTERPASSWORD){&ARPassword('+',$number);}
#Should we update the headings
    if ( ($UPDATEHEADINGS && $arhead) ||
	($UPDATESUBHEADINGS && $arsubhead) ){&Update();}
    &ThankYou();
    exit;
   }
  }
 }
} 
elsif($todo eq "REMOVE"){
#Remove a heading
#If no removal number and no verify request removal via HTML
 &initial();
 if (!$rmnumber || !$verify){
  (*numlist,*titlelist,*listarray)= &GetListing("full");
  print $query->header(-target=>'arwindow');
  if($arhead){
   print $query->start_html(-title=>'Remove a heading',
		-onLoad=>'self.focus()'),
	"\n",
	$query->start_form(-name=>'removeheads',
		-method=>"$METHOD",
		-action=>"$HSCRIPT"),
	"\n",
	$query->hidden(-name=>'todotype', -value=>'HEAD');
   if($HRREQADM){
    print "<B>*This action requires administrative access.</B><P>\n";
   }
  }
  elsif($arsubhead){
   print $query->start_html(-title=>'Remove a subheading',
		-onLoad=>'self.focus()'),
	"\n",
	$query->start_form(-name=>'removeheads',
		-method=>"$METHOD",
		-action=>"$SSCRIPT"),
	"\n",
	$query->hidden(-name=>'todotype', -value=>'SUBHEAD');
   if($SRREQADM){
    print "<B>*This action requires administrative access.</B><P>\n";
   }
  } 
  print "\n",
	$query->hidden(-name=>'grandparent',-value=>"$grandparent"),
	"\n",
	$query->hidden(-name=>'parent',-value=>"$parent"),
	"\n",
	$query->hidden(-name=>'boardname',-value=>"$boardname"),
	"\n",
	"<B>Remove:</B> \n",
	$query->popup_menu(-name=>'rmnumber',-values=>\@numlist,
		-labels=>\%listarray),
	"<BR>\n";
  if($arhead){
   print "Your name & password allow you to remove this heading.<BR>\n";
  }
  elsif($arsubhead){
   print "Your name & password allow you to remove this subheading.<BR>\n";
  }
  print "<B>Enter Name:</B> \n",
	$query->textfield(-name=>'username',-size=>'30',
		-maxlength=>'30'),
	"<BR>\n",
	"<B>Enter Password:</B> \n",
	$query->password_field(-name=>'password',-size=>'15',
		-maxlength=>'15'),
	"<BR>\n";
  if($arhead){
   print <<END;
If you delete this heading it will delete all of the subheadings
and titles beneath it.  Are you VERY sure that you want to do this.<BR>
END
  }
  elsif($arsubhead){
   print <<END;
If you delete this subheading it will delete all of the titles
 beneath it.  Are you VERY sure that you want to do this.<BR>
END
  }
  print $query->checkbox(-name=>'verify',-value=>'1',
		-label=>'Yes I\'m sure.'),
	"<BR>\n",
	$query->submit(-name=>'todo',-value=>'REMOVE'),
	$query->button(-name=>'cancel',-value=>'CANCEL',
		-onClick=>'self.close()'),
	"\n";
  &Register();
  print $query->end_form,
	"\n",
	$query->end_html;
  exit;
 }
 else{ #rmnumber is defined and we remove it
#check if admin privileges are required
  if( ( ($HRREQADM && $arhead) ||
	($SRREQADM && $arsubhead) ) &&
	$password ne $MASTERPASSWORD){
   &RequiresAdm();
   exit;
  }
  $pwd=&GetPassword($rmnumber);
#Check removal password or master password
  if($pwd eq $password || $MASTERPASSWORD eq $password){
#Remove heading or subheading
   if(&Remove($rmnumber)){
    &RemoveChild($rmnumber);
#Remove the password from the password file
    if($password ne $MASTERPASSWORD){&ARPassword('-',$rmnumber);}
    if($arsubhead){
#decrement the count of the parent inside the ()
     &PMCount('-',1);
    }
#Should we update the headings or subheadings
    if ( ($UPDATEHEADINGS && $arhead) ||
	($UPDATESUBHEADINGS && $arsubhead) ){&Update();}
#Send a nice thank you notice
    &ThankYou();
    exit;
   }
  }  
  else{
#They entered the wrong password
   &WrongPassword();
   exit;
  }
 }
}
elsif($todo eq "EDIT"){
 if(!$edited && !$ednumber && !$verify){
  (*numlist,*titlelist,*listarray)= &GetListing("full");
  print $query->header(-target=>'arwindow');
  if($arhead){
   print $query->start_html(-title=>'Edit a heading',
		-onLoad=>'self.focus()'),
	"\n",
	$query->start_form(-name=>'editheads',
		-method=>"$METHOD",
		-action=>"$HSCRIPT"),
	"\n",
	$query->hidden(-name=>'todotype', -value=>'HEAD');
   if($HEREQADM){
    print "<B>*This action requires administrative access.</B><P>\n";
   }
  }
  elsif($arsubhead){
   print $query->start_html(-title=>'Edit a subheading',
		-onLoad=>'self.focus()'),
	"\n",
	$query->start_form(-name=>'editheads',
		-method=>"$METHOD",
		-action=>"$SSCRIPT"),
	"\n",
	$query->hidden(-name=>'todotype', -value=>'SUBHEAD');
   if($SEREQADM){
    print "<B>*This action requires administrative access.</B><P>\n";
   }
  } 
  print "\n",
	$query->hidden(-name=>'grandparent',-value=>"$grandparent"),
	"\n",
	$query->hidden(-name=>'parent',-value=>"$parent"),
	"\n",
	$query->hidden(-name=>'boardname',-value=>"$boardname"),
	"\n",
	"<B>Replace:</B> \n",
	$query->popup_menu(-name=>'ednumber',-values=>\@numlist,
		-labels=>\%listarray),
	"<BR>\n",
        "<B>With:</B> \n",
	$query->textfield(-name=>'edited', -size=>'40',
		-maxlength=>'40'),
	"<BR>\n";
  if($arhead){
   print "Your name & password allow you to edit this heading.<BR>\n";
  }
  elsif($arsubhead){
   print "Your name & password allow you to edit this subheading.<BR>\n";
  }
  print "<B>Enter Name:</B> \n",
	$query->textfield(-name=>'username',-size=>'30',
		-maxlength=>'30'),
	"<BR>\n",
	"<B>Enter Password:</B> \n",
	$query->password_field(-name=>'password',-size=>'15',
		-maxlength=>'15'),
	"<BR>\n",
	$query->checkbox(-name=>'verify',-value=>'1',
		-label=>'Yes I\'m sure.'),
	"<BR>\n",
	$query->submit(-name=>'todo',-value=>'EDIT'),
	$query->button(-name=>'cancel',-value=>'CANCEL',
		-onClick=>'self.close()'),
	"\n";
  &Register();
  print $query->end_form,
	"\n",
	$query->end_html;
  exit;
 }
 else{
#check if admin privileges are required
  if( ( ($HEREQADM && $arhead) ||
	($SEREQADM && $arsubhead) ) &&
	$password ne $MASTERPASSWORD){
   &RequiresAdm();
   exit;
  }
  $pwd=&GetPassword($ednumber);
#Check removal password or master password
  if($pwd eq $password || $MASTERPASSWORD eq $password){
#Remove heading or subheading
   if(&Change($ednumber,$edited)){
#Should we update the headings or subheadings
    if ( ($UPDATEHEADINGS && $arhead) ||
	($UPDATESUBHEADINGS && $arsubhead) ){&Update();}
#Send a nice thank you notice
    &ThankYou();
    exit;
   }
  }  
  else{
#They entered the wrong password
   &WrongPassword();
   exit;
  }
 }
}
#Otherwise it's not ADD or REMOVE or EDIT
else{&DontKnow();}
exit;
